Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Event Calendar Module Download Broken


Reply


6 Posts   1648 Views

Avatar
prd

Community Member, 1 Post

28 March 2009 at 10:01am

New to SilverStripe and quite impressed. Going bongo downloading all the extensions to test everything for a community site. But the download for the Calendar module seems to be broken...

This URL:
http://silverstripe.org/event-calendar/TrunkDownload/generate

Throws this error:
Website Error
There has been an error
The website server has not been able to respond to your request.

Avatar
denbear

Community Member, 7 Posts

1 April 2010 at 4:04pm

I just downloaded the Event Calendar Module, unpacked it. changed the directory name to event_calendar. It unpacks as "modules-event_calendar-r88" and the config file is looking for "event_calendar." I upload to the root of my SS install and append "db/build?flush=1" to my base URL. All I get is:

Website Error
There has been an error
The website server has not been able to respond to your request.

I remove the directory and everything's working again. If I got an error message that wasn't quite so abstract, I'd have a fighting chance at fixing the problem. But, the above text doesn't help.

Avatar
UncleCheese

Forum Moderator, 4096 Posts

1 April 2010 at 4:34pm

Make sure your site is in dev mode so you can get an error.

Director::set_environment_type('dev');

Avatar
denbear

Community Member, 7 Posts

1 April 2010 at 5:00pm

Perfect. Just what I needed.

Thanks for the fast reply.

Problem: Not entirely sure. I added the line to my _config.php, pushed it up to the web server, and expected to see some additional output. Instead, the module installed properly. Now I'll never know what was really wrong. One thing I did different was type add a / after build, as in db/build/?flush=1. I see it entered both ways all over. Does that slash need to be there? The documentation [url=http://doc.silverstripe.org/doku.php?id=modules:event_calendar]here[/url] shows it without.

Avatar
UncleCheese

Forum Moderator, 4096 Posts

2 April 2010 at 2:40am

/db/build?flush=1 is deprecated. Use /dev/build

Avatar
pita

Community Member, 1 Post

28 November 2011 at 4:03pm

So I install event_calendar. Discover that the instructions don't tell you to rename the directory to event_calendar ((might save a few posts here eh?) rename the directory and then discover from the fine print that dataobject manager is required. (not exactly in caps or anything)

So I install dataobjectmanager
and run
http://www.mysite.co.nz/SilverStripe-v2.4.6/dev/build a couple of times
http://www.mysite.co.nz/SilverStripe-v2.4.6/?flush=1
and I get
Fatal error: Event Calendar requires the DataObjectManager module. in /home/mysite/public_html/SilverStripe-v2.4.6/event_calendar/_config.php on line 8

so why doesn't the module get recognised?
am I holding my mouth wrong?